/**
 * VIP 状态响应
 */
import { z } from "zod";

export const PaymentVipStatusResponseSchema = z.object({
  isVip: z.boolean(),
  vipExpiresAt: z.string().nullable(),
});

export type PaymentVipStatusResponseInput = z.input<
  typeof PaymentVipStatusResponseSchema
>;
export type PaymentVipStatusResponseData = z.output<
  typeof PaymentVipStatusResponseSchema
>;
